%==============================================================================

set(binary_res).

list(sos).
 x=x.                            % Reflexividad
 x!=y | y=x.                     % Simetr�a
 x!=y | y!=z | x=z.              % Transisitividad
 opuesta(derecha) = izquierda.
 opuesta(izquierda) = derecha.
 opuesta(opuesta(derecha)) != derecha.
end_of_list.

%==============================================================================
